const FqOpenApi = require('../lib');

async function main() {
  const api = new FqOpenApi({
    appId: "5a40f13f1fd001039010d2ef", // 设置页面的appid
    appSecret: "g8bdiTHWGe9hlli9v5I4", // 设置页面的appSecret
    isDingVersion: false // 钉钉版本为true, 网页版本为false
  });
  // 1. 获取表单列表
  const res = await api.getFormList(0, 1); // 分页获取
  console.log("表单列表：", res);

  if (res.data && res.data.list) {
    const form = res.data.list[0];
    if (form) {
      // 2.获取表单结构
      const formid = form._id;
      const formStruct = await api.getFormStruct(formid);
      console.log("表单结构", formStruct);

      // 3.获取表单数据
      const formDatas = await api.getFormDatas(formid, {
        start: 0,
        end: new Date().getTime(),
        page: 0,
        pagesize: 1
      });
      console.log("表单数据", formDatas);
    }
  }
}

main();
